<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<script src="../js/jquery-2.0.3.min.js"></script>
		<script src="../js/jquery.mobile-1.3.1.min.js"></script>
		<link rel="stylesheet" href="../css/jquery.mobile-1.3.1.min.css">
		<script>
			$(document).ready(function(){
				var tmp = (typeof Android!="undefined")?Android.loadList():'["0|kala1","1|kala2"]';
				mahsolat = JSON.parse(tmp);
				loadMahsolat(mahsolat);
			});
			function loadMahsolat(mahsolat)
			{
				var out = '';
				var tmp;
				for(var i=0;i<mahsolat.length;i++)
				{
					tmp = mahsolat[i].split("|");
					out +="<button class='btp' style='width:100%;' id='bt_"+tmp[0]+"' >"+tmp[1]+"</button>";
				}
				$("#mahsolat_div").html(out);
				$(".btp").buttonMarkup({theme: "e"});
				$(".btp").on("tap",function(){
					var tm =this.id.split("_");
					Android.loadGroup(parseInt(tm[1],10));
				});
			}
			function loadKala()
			{
				var url=Android.getLink()+"android/kala_abar_group.php";
				$("#mahsolat_div").html("<div align='center' ><img src='../img/status_fb.gif' ></div>");
				Android.getAjax(url,"ajaxSucceed,ajaxFailed");
			}
			function ajaxFailed(inp)
			{
				$("#msg_log").html("failed:"+inp);
			}
			function ajaxSucceed(inp)
			{
				var res= JSON.parse(inp);
				var tt;
				for(var j=0;j<res.length;j++)
				{
					tt = Android.add(parseInt(res[j].id,10),res[j].name,res[j].en,res[j].ord);
				}
				var tmp = (typeof Android!="undefined")?Android.loadList():'["0|kala1","1|kala2"]';
				mahsolat = JSON.parse(tmp);
				loadMahsolat(mahsolat);
			}
		</script>
	</head>
	<body>
		<button onclick="loadKala();" data-theme="b" >
			بروزرسانی
		</button>
		<div id="mahsolat_div" >
		</div>
		<div id="tmp_div" >
		</div>
		<div id="msg_log" >
		</div>
	</body>
</html>
